#include<bits/stdc++.h>
using namespace std;

int main() {
	int t,n,m;
	cin>>t;
	for (int i=0;i<t;i++){
		cin>>n>>m;
		
		if(n!=m)cout<<-1<<endl;
		else{
			int matrica[100][100];
			for (int i=0;i<n;i++){
			for (int j=0;j<n;j++){
				matrica[i][j]=1;
			}
		}
			int br=0;
			for (int i=1;i<n-1;i++){
				br++;
				for (int j=1;j<n-br;j++){
					matrica[i][j]=0;
				}
			}
			for (int i=0;i<n;i++){
			for (int j=0;j<n;j++){
				cout<<matrica[i][j]<<" ";
			}
			cout<<endl;
		}
	
		}
	}
	return 0;
}